%define packagename MLDBM
%define packageversion 2.00
%define release 1
%define makeopts ""
%define makemakeropts ""
%define makeperlopts ""

Name:      perl-%{packagename}
Version:   %{packageversion}
Release:   %{release}
Group:     Development/Languages/Perl
Source:    MLDBM-2.00.tar.gz
Source1:   makerpm.pl
Copyright: Probably the same terms as perl.  Check.
BuildRoot: /var/tmp/MLDBM-2.00
Provides:  perl-%{packagename}
Summary:   The Perl package MLDBM

%description
This package contains the perl module MLDBM.

This module can serve as a transparent interface to any TIEHASH package
that is required to store arbitrary perl data, including nested references.
Thus, this module can be used for storing references and other arbitrary data
within DBM databases.

It works by serializing the references in the hash into a single string. In the
underlying TIEHASH package (usually a DBM database), it is this string that
gets stored.  When the value is fetched again, the string is deserialized to
reconstruct the data structure into memory.

For historical and practical reasons, it requires the B<Data::Dumper> package,
available at any CPAN site. B<Data::Dumper> gives you really nice-looking dumps of
your data structures, in case you wish to look at them on the screen, and
it was the only serializing engine before version 2.00.  However, as of version
2.00, you can use any of B<Data::Dumper>, B<FreezeThaw> or B<Storable> to
perform the underlying serialization, as hinted at by the L<SYNOPSIS> overview
above.  Using B<Storable> is usually much faster than the other methods.

See the L<BUGS> section for important limitations.

=head2 Changing the Defaults

B<MLDBM> relies on an underlying TIEHASH implementation (usually a
DBM package), and an underlying serialization package.  The respective
defaults are B<SDBM_File> and D<Data::Dumper>.  Both of these defaults
can be changed.  Changing the B<SDBM_File> default is strongly recommended.
See L<WARNINGS> below.

Three serialization wrappers are currently supported: B<Data::Dumper>,

%prep
$RPM_SOURCE_DIR/makerpm.pl --source=MLDBM-2.00.tar.gz --verbose   --prep



%build
$RPM_SOURCE_DIR/makerpm.pl --source=MLDBM-2.00.tar.gz --verbose  --build --runtests %{makeopts} %{makeperlopts} %{makemakeropts} 



%install
rm -rf $RPM_BUILD_ROOT



#makerpm is run after the install script to pick up all of the files

$RPM_SOURCE_DIR/makerpm.pl --source=MLDBM-2.00.tar.gz --verbose  --install %{makeopts}

%clean



rm -rf $RPM_BUILD_ROOT

%pre



%post



%preun



%postun



%verifyscript



%files -f MLDBM-2.00/MLDBM-2.00.rpmfilelist

%doc MLDBM-2.00/README

